classification
Title: documentation for no_proxy is missing from the python3 urllib documentation
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, martin.panter, orsenthil, python-dev, r.david.murray
Priority: normal Keywords: easy

Created on 2015-03-29 14:56 by r.david.murray, last changed 2016-04-24 04:16 by python-dev. This issue is now closed.

Messages (4)
msg239493 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2015-03-29 14:56
no_proxy (and what notation it supports) is mentioned in the python2 urllib docs, but not in the python3 docs.
msg264041 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-04-23 03:35
New changeset 5424a559ddea by Senthil Kumaran in branch '3.5':
Issue23806 - Document the no_proxy environment variable in Python 3 docs.
https://hg.python.org/cpython/rev/5424a559ddea

New changeset 103fb8be940b by Senthil Kumaran in branch 'default':
merge 3.5
https://hg.python.org/cpython/rev/103fb8be940b
msg264042 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2016-04-23 03:37
no_proxy is applicable to ProxyHandler of the python 3. I've documented this in the corresponding section.
msg264090 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-04-24 04:16
New changeset 5ad93528c39c by Martin Panter in branch '3.5':
Issue #23806: Update susp-ignored.csv
https://hg.python.org/cpython/rev/5ad93528c39c

New changeset cb38785acc8d by Martin Panter in branch 'default':
Issue #23806: Merge susp-ignored.csv from 3.5
https://hg.python.org/cpython/rev/cb38785acc8d
History
Date User Action Args
2016-04-24 04:16:35python-devsetmessages: + msg264090
2016-04-23 03:37:59orsenthilsetstatus: open -> closed

nosy: + orsenthil
messages: + msg264042

resolution: fixed
stage: needs patch -> resolved
2016-04-23 03:35:49python-devsetnosy: + python-dev
messages: + msg264041
2016-04-23 02:03:04berker.peksagsetkeywords: + easy
versions: + Python 3.6, - Python 3.4
2015-03-29 21:46:12martin.pantersetnosy: + martin.panter
2015-03-29 14:56:26r.david.murraycreate